summaryrefslogtreecommitdiff
path: root/deps/gyp/test/mac/type_envvars/test_nonbundle_none.sh
diff options
context:
space:
mode:
Diffstat (limited to 'deps/gyp/test/mac/type_envvars/test_nonbundle_none.sh')
-rwxr-xr-xdeps/gyp/test/mac/type_envvars/test_nonbundle_none.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/deps/gyp/test/mac/type_envvars/test_nonbundle_none.sh b/deps/gyp/test/mac/type_envvars/test_nonbundle_none.sh
new file mode 100755
index 0000000000..871af1bbda
--- /dev/null
+++ b/deps/gyp/test/mac/type_envvars/test_nonbundle_none.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+# Copyright (c) 2012 Google Inc. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+set -e
+
+# Check for "not set", not just "empty":
+[[ ! $MACH_O_TYPE && ${MACH_O_TYPE-_} ]]
+[[ ! $PRODUCT_TYPE && ${PRODUCT_TYPE-_} ]]
+test $PRODUCT_NAME = nonbundle_none
+[[ ! $FULL_PRODUCT_NAME && ${FULL_PRODUCT_NAME-_} ]]
+
+[[ ! $EXECUTABLE_NAME && ${EXECUTABLE_NAME-_} ]]
+[[ ! $EXECUTABLE_PATH && ${EXECUTABLE_PATH-_} ]]
+[[ ! $WRAPPER_NAME && ${WRAPPER_NAME-_} ]]
+
+[[ ! $DYLIB_INSTALL_NAME_BASE && ${DYLIB_INSTALL_NAME_BASE-_} ]]
+[[ ! $LD_DYLIB_INSTALL_NAME && ${LD_DYLIB_INSTALL_NAME-_} ]]
+
+"$(dirname "$0")/test_check_sdkroot.sh"